Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 524652 - app-benchmarks/geekbench: Cross-Platform Benchmark
Summary: app-benchmarks/geekbench: Cross-Platform Benchmark
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL: https://www.geekbench.com/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2014-10-06 21:44 UTC by Conrad Kostecki
Modified: 2018-03-24 08:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,772 bytes, text/plain)
2014-10-06 21:44 UTC, Conrad Kostecki
Details
geekbench-3.2.0.ebuild (geekbench-3.2.0.ebuild,771 bytes, text/plain)
2014-10-06 21:44 UTC, Conrad Kostecki
Details
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,721 bytes, text/plain)
2014-10-08 19:05 UTC, Conrad Kostecki
Details
geekbench-3.2.0.ebuild (geekbench-3.2.0.ebuild,720 bytes, text/plain)
2014-10-08 19:05 UTC, Conrad Kostecki
Details
geekbench-3.2.2.ebuild (geekbench-3.2.2.ebuild,720 bytes, text/plain)
2014-12-07 14:56 UTC, Conrad Kostecki
Details
geekbench-3.3.2.ebuild (geekbench-3.3.2.ebuild,780 bytes, text/plain)
2015-03-24 23:02 UTC, Conrad Kostecki
Details
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,781 bytes, text/plain)
2015-03-24 23:02 UTC, Conrad Kostecki
Details
geekbench-2.4.2.ebuild (geekbench-2.4.2.ebuild,721 bytes, text/plain)
2016-01-03 16:00 UTC, Conrad Kostecki
Details
geekbench-2.4.2.ebuild (geekbench-2.4.2.ebuild,1.26 KB, text/plain)
2016-03-06 00:23 UTC, Conrad Kostecki
Details
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,890 bytes, text/plain)
2016-03-06 00:23 UTC, Conrad Kostecki
Details
geekbench-3.3.2.ebuild (geekbench-3.3.2.ebuild,886 bytes, text/plain)
2016-03-06 00:23 UTC, Conrad Kostecki
Details
geekbench-3.3.2.ebuild (geekbench-3.3.2.ebuild,889 bytes, text/plain)
2016-03-06 00:28 UTC, Conrad Kostecki
Details
geekbench-3.4.1.ebuild (geekbench-3.4.1.ebuild,889 bytes, text/plain)
2016-04-26 19:39 UTC, Conrad Kostecki
Details
geekbench-4.0.0.ebuild (geekbench-4.0.0.ebuild,903 bytes, text/plain)
2016-08-31 17:37 UTC, Conrad Kostecki
Details
geekbench-4.0.1.ebuild (geekbench-4.0.1.ebuild,903 bytes, text/plain)
2016-11-25 19:07 UTC, Conrad Kostecki
Details
geekbench-4.0.3.ebuild (geekbench-4.0.3.ebuild,903 bytes, text/plain)
2016-12-25 10:35 UTC, Conrad Kostecki
Details
geekbench-4.1.0.ebuild (geekbench-4.1.0.ebuild,980 bytes, text/plain)
2017-04-04 16:37 UTC, Conrad Kostecki
Details
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,938 bytes, text/plain)
2017-04-04 20:52 UTC, Conrad Kostecki
Details
geekbench-3.4.2.ebuild (geekbench-3.4.2.ebuild,938 bytes, text/plain)
2017-04-04 20:52 UTC, Conrad Kostecki
Details
geekbench-2.4.2.ebuild (geekbench-2.4.2.ebuild,923 bytes, text/plain)
2017-06-05 23:50 UTC, Conrad Kostecki
Details
geekbench-4.2.0.ebuild (geekbench-4.2.0.ebuild,963 bytes, text/plain)
2017-11-25 13:49 UTC, Conrad Kostecki
Details
geekbench-2.4.2.ebuild (geekbench-2.4.2.ebuild,877 bytes, text/plain)
2018-02-21 22:56 UTC, Conrad Kostecki
Details
geekbench-2.4.3.ebuild (geekbench-2.4.3.ebuild,932 bytes, text/plain)
2018-02-21 22:56 UTC, Conrad Kostecki
Details
geekbench-3.4.2.ebuild (geekbench-3.4.2.ebuild,932 bytes, text/plain)
2018-02-21 22:57 UTC, Conrad Kostecki
Details
geekbench-4.2.0.ebuild (geekbench-4.2.0.ebuild,935 bytes, text/plain)
2018-02-21 22:57 UTC, Conrad Kostecki
Details
/usr/portage/licenses/geekbench (geekbench,10.32 KB, text/plain)
2018-02-21 22:57 UTC, Conrad Kostecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2014-10-06 21:44:12 UTC
There is a benchmark called geekbench. There are no ebuild available. So I've created some for version 2 and version 3, as they coexist.
Comment 1 Conrad Kostecki gentoo-dev 2014-10-06 21:44:27 UTC
Created attachment 386164 [details]
geekbench-2.4.3.ebuild
Comment 2 Conrad Kostecki gentoo-dev 2014-10-06 21:44:42 UTC
Created attachment 386166 [details]
geekbench-3.2.0.ebuild
Comment 3 Jeroen Roovers gentoo-dev 2014-10-07 06:49:40 UTC
Comment on attachment 386166 [details]
geekbench-3.2.0.ebuild

>LICENSE="no-source-code"

There is always a license, so this is wrong.

>IUSE=""
>
>DEPEND=""
>RDEPEND=""

When these are empty, they shouldn't be set.

>src_install() {
>	insinto /opt/geekbench3
>	doins geekbench.plar || die

doins die()'s on its own

>	exeinto /opt/geekbench3
>	doexe geekbench geekbench_x86_32 geekbench_x86_64 || die

doexe die()'s on its own

>	dodir /opt/bin
>	dosym ../geekbench3/geekbench /opt/bin/geekbench3 || die

dosym die()'s on its own
Comment 4 Conrad Kostecki gentoo-dev 2014-10-07 10:30:28 UTC
Hi!

(In reply to Jeroen Roovers from comment #3)
> Comment on attachment 386166 [details]
> geekbench-3.2.0.ebuild
> 
> >LICENSE="no-source-code"
> 
> There is always a license, so this is wrong.

So which license do I choose? I have though, that no-source-code is the right one, as it tells, that this is non-free software. I don't see any license which is provied at primatelabs.com?

> >IUSE=""
> >
> >DEPEND=""
> >RDEPEND=""
> 
> When these are empty, they shouldn't be set.

Okay. I will correct this. But there are a lot of ebuild in the gentoo portage, which are setting those "empty" variables. (e.g. rar)

> >src_install() {
> >	insinto /opt/geekbench3
> >	doins geekbench.plar || die
> 
> doins die()'s on its own
> 
> >	exeinto /opt/geekbench3
> >	doexe geekbench geekbench_x86_32 geekbench_x86_64 || die
> 
> doexe die()'s on its own
> 
> >	dodir /opt/bin
> >	dosym ../geekbench3/geekbench /opt/bin/geekbench3 || die
> 
> dosym die()'s on its own

I will remove this die. Thanks.

Conrad
Comment 5 Conrad Kostecki gentoo-dev 2014-10-08 19:05:01 UTC
Created attachment 386252 [details]
geekbench-2.4.3.ebuild
Comment 6 Conrad Kostecki gentoo-dev 2014-10-08 19:05:19 UTC
Created attachment 386254 [details]
geekbench-3.2.0.ebuild
Comment 7 Conrad Kostecki gentoo-dev 2014-10-08 19:05:28 UTC
I've updated the ebuild, as proposed. But one thing remains, what about the license? I don't know what to choose here..
Comment 8 Conrad Kostecki gentoo-dev 2014-12-07 14:56:32 UTC
Created attachment 391140 [details]
geekbench-3.2.2.ebuild

Updated eBuild to 3.2.2..
Comment 9 Conrad Kostecki gentoo-dev 2015-03-24 23:02:25 UTC
Created attachment 399680 [details]
geekbench-3.3.2.ebuild
Comment 10 Conrad Kostecki gentoo-dev 2015-03-24 23:02:41 UTC
Created attachment 399682 [details]
geekbench-2.4.3.ebuild
Comment 11 Conrad Kostecki gentoo-dev 2016-01-03 16:00:03 UTC
Created attachment 421786 [details]
geekbench-2.4.2.ebuild

Adding Geekbench 2.4.2 für LinuxArm (latest version)
Comment 12 Conrad Kostecki gentoo-dev 2016-03-06 00:23:15 UTC
Created attachment 427536 [details]
geekbench-2.4.2.ebuild
Comment 13 Conrad Kostecki gentoo-dev 2016-03-06 00:23:28 UTC
Created attachment 427538 [details]
geekbench-2.4.3.ebuild
Comment 14 Conrad Kostecki gentoo-dev 2016-03-06 00:23:49 UTC
Created attachment 427540 [details]
geekbench-3.3.2.ebuild
Comment 15 Conrad Kostecki gentoo-dev 2016-03-06 00:25:38 UTC
I would be willing to proxy maintain this.

The license for V2 is here: http://www.primatelabs.com/geekbench/license/geekbench2.txt

The license for V3 is here: http://www.primatelabs.com/geekbench/license/geekbench3.txt

Diff show, they are the same.

I've set now LICENSE="geekbench" into the eBuilds.
But this means, a copy of geekbench.txt should be commited to /usr/portage/licenses

2.4.2 = latest version for arm
2.4.3/3.3.2 = latest version for x86/amd64
Comment 16 Conrad Kostecki gentoo-dev 2016-03-06 00:28:21 UTC
Created attachment 427542 [details]
geekbench-3.3.2.ebuild
Comment 17 Conrad Kostecki gentoo-dev 2016-04-26 19:39:05 UTC
Created attachment 432184 [details]
geekbench-3.4.1.ebuild

Geekbench 3.4.1 is out.
Comment 18 Conrad Kostecki gentoo-dev 2016-08-31 17:37:47 UTC
Created attachment 444654 [details]
geekbench-4.0.0.ebuild

Newest 4.x series added
Comment 19 Conrad Kostecki gentoo-dev 2016-11-25 19:07:48 UTC
Created attachment 454368 [details]
geekbench-4.0.1.ebuild
Comment 20 Amy Liffey gentoo-dev 2016-12-12 09:30:11 UTC
Hello,
would you be willing to maintain this ebuild through Proxy maintainers project?

https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

Thank you for your contribution.
Comment 21 Conrad Kostecki gentoo-dev 2016-12-12 09:45:57 UTC
(In reply to Amy Winston from comment #20)
> Hello,
> would you be willing to maintain this ebuild through Proxy maintainers
> project?
> 
> https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
> 
> Thank you for your contribution.

(In reply to Conrad Kostecki from comment #15)
> I would be willing to proxy maintain this.

Yes :) I would be willing :)
Comment 22 Conrad Kostecki gentoo-dev 2016-12-25 10:35:36 UTC
Created attachment 457364 [details]
geekbench-4.0.3.ebuild
Comment 23 Conrad Kostecki gentoo-dev 2017-04-04 16:37:58 UTC
Created attachment 469140 [details]
geekbench-4.1.0.ebuild
Comment 24 Conrad Kostecki gentoo-dev 2017-04-04 20:52:37 UTC
Created attachment 469208 [details]
geekbench-2.4.3.ebuild
Comment 25 Conrad Kostecki gentoo-dev 2017-04-04 20:52:51 UTC
Created attachment 469210 [details]
geekbench-3.4.2.ebuild
Comment 26 Conrad Kostecki gentoo-dev 2017-06-05 23:50:04 UTC
Created attachment 475316 [details]
geekbench-2.4.2.ebuild

Updated ARM eBuild
Comment 27 Conrad Kostecki gentoo-dev 2017-11-25 13:49:45 UTC
Created attachment 506566 [details]
geekbench-4.2.0.ebuild
Comment 28 Conrad Kostecki gentoo-dev 2018-02-21 22:56:34 UTC
Created attachment 520506 [details]
geekbench-2.4.2.ebuild
Comment 29 Conrad Kostecki gentoo-dev 2018-02-21 22:56:53 UTC
Created attachment 520508 [details]
geekbench-2.4.3.ebuild
Comment 30 Conrad Kostecki gentoo-dev 2018-02-21 22:57:09 UTC
Created attachment 520510 [details]
geekbench-3.4.2.ebuild
Comment 31 Conrad Kostecki gentoo-dev 2018-02-21 22:57:23 UTC
Created attachment 520512 [details]
geekbench-4.2.0.ebuild
Comment 32 Conrad Kostecki gentoo-dev 2018-02-21 22:57:48 UTC
Created attachment 520514 [details]
/usr/portage/licenses/geekbench
Comment 33 Larry the Git Cow gentoo-dev 2018-03-24 08:56:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b272f01ac9a8cad378882a31b0a442f04c2d015b

commit b272f01ac9a8cad378882a31b0a442f04c2d015b
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-23 23:03:26 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-24 08:56:35 +0000

    app-benchmarks/geekbench: New package
    
    Closes: https://bugs.gentoo.org/524652
    Closes: https://github.com/gentoo/gentoo/pull/7249

 app-benchmarks/geekbench/Manifest               |  4 +++
 app-benchmarks/geekbench/geekbench-2.4.2.ebuild | 43 +++++++++++++++++++++++++
 app-benchmarks/geekbench/geekbench-2.4.3.ebuild | 43 +++++++++++++++++++++++++
 app-benchmarks/geekbench/geekbench-3.4.2.ebuild | 43 +++++++++++++++++++++++++
 app-benchmarks/geekbench/geekbench-4.2.2.ebuild | 43 +++++++++++++++++++++++++
 app-benchmarks/geekbench/metadata.xml           | 12 +++++++
 6 files changed, 188 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc6c76860bb68444f0525fc3f55e4d4e39b6494

commit 1fc6c76860bb68444f0525fc3f55e4d4e39b6494
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-23 23:03:08 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-24 08:56:35 +0000

    profiles/license_groups: add geekbench license to EULA group
    
    Bug: https://bugs.gentoo.org/524652

 profiles/license_groups | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fecd8a8ba1b39f83428e6b6556e04c8ddac5483a

commit fecd8a8ba1b39f83428e6b6556e04c8ddac5483a
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-03-23 23:02:15 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-03-24 08:56:34 +0000

    licenses/geekbench: add license for app-benchmarks/geekbench
    
    Bug: https://bugs.gentoo.org/524652

 licenses/geekbench | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)}